Package in.cdac.medinfo.csnotk.csnolib.commons

## Enum EnumCharacteristicType

- java.lang.Object
- - java.lang.Enum<EnumCharacteristicType>
  - - in.cdac.medinfo.csnotk.csnolib.commons.EnumCharacteristicType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EnumCharacteristicType>`

      public enum EnumCharacteristicType
      extends java.lang.Enum<EnumCharacteristicType>
      implements java.io.Serializable

  If Characteristic Type is,
  INFERRED_RELATIONSHIP - refers to SNOMED CT Concept id for Inferred Relationship the SNOMED CT Component metadata hierarchy
  ADDITIONAL_RELATIONSHIP - refers to SNOMED CT Concept id for Additional Relationship
  STATED_RELATIONSHIP - refers to SNOMED CT Concept id for Stated Relationship
  QUALIFYING_RELATIONSHIP - refers to SNOMED CT Concept id for Qualifying Relationship
  DEFINING_RELATIONSHIP - refers to SNOMED CT Concept id for Defining Relationship

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADDITIONAL_RELATIONSHIP` |
    `DEFINING_RELATIONSHIP` |
    `INFERRED_RELATIONSHIP` |
    `QUALIFYING_RELATIONSHIP` |
    `STATED_RELATIONSHIP` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EnumCharacteristicType` | `getEnum​(java.lang.String val)` | Returns enumeration for given string value.
    `java.lang.String` | `getValue()` | Returns the value associated with enumeration.
    `void` | `setValue​(java.lang.String value)` | Sets value for enumeration.
    `static EnumCharacteristicType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EnumCharacteristicType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFERRED_RELATIONSHIP

          public static final EnumCharacteristicType INFERRED_RELATIONSHIP

    - #### ADDITIONAL_RELATIONSHIP

          public static final EnumCharacteristicType ADDITIONAL_RELATIONSHIP

    - #### STATED_RELATIONSHIP

          public static final EnumCharacteristicType STATED_RELATIONSHIP

    - #### QUALIFYING_RELATIONSHIP

          public static final EnumCharacteristicType QUALIFYING_RELATIONSHIP

    - #### DEFINING_RELATIONSHIP

          public static final EnumCharacteristicType DEFINING_RELATIONSHIP

  - ### Method Detail

    - #### values

          public static EnumCharacteristicType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumCharacteristicType c : EnumCharacteristicType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumCharacteristicType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the value associated with enumeration.
      Returns:
        `String` value for enumeration.

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets value for enumeration.
      Parameters:
        `value` - `String` value to be set.

    - #### getEnum

          public static EnumCharacteristicType getEnum​(java.lang.String val)

      Returns enumeration for given string value.
      Parameters:
        `val` - `String` value for which enumeration is to be retrieve.
      Returns:
        `EnumCharacteristicType` enumeration for given string value